Main Page | Class List | File List | Class Members | File Members | Related Pages

# _wsse__Security Struct Reference

This element defines the wsse:Security SOAP header element per Section 4. Imported element _wsse__Security from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__Security:

[legend]
List of all members.

## Public Attributes
_wsu__Timestamp * | wsu__Timestamp
_wsse__UsernameToken * | UsernameToken
_wsse__BinarySecurityToken * | BinarySecurityToken
ds__SignatureType * | ds__Signature
char * | SOAP_ENV__actor
char * | SOAP_ENV__role

## Detailed Description

This element defines the wsse:Security SOAP header element per Section 4. Imported element _wsse__Security from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":Security of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityHeaderType.

## Member Data Documentation

struct _wsse__BinarySecurityToken* _wsse__Security::BinarySecurityToken

struct ds__SignatureType* _wsse__Security::ds__Signature

char* _wsse__Security::SOAP_ENV__actor

char* _wsse__Security::SOAP_ENV__role

struct _wsse__UsernameToken* _wsse__Security::UsernameToken

struct _wsu__Timestamp* _wsse__Security::wsu__Timestamp

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsse.h